AddGuarantorToDigitalReference
POST
/v2.0/pre-qualification/add-guarantor-to-digital-reference
const url = 'https://wl.api.cluster.openbrix.co.uk/v2.0/pre-qualification/add-guarantor-to-digital-reference';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"guarantors":[{"id":"example","title":"example","firstname":"example","middlename":"example","lastname":"example","email":"example","applicationType":"example","branch_id":1,"guarantorLink":"example","identityconfirmed":true,"r2rconfirmed":true}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://wl.api.cluster.openbrix.co.uk/v2.0/pre-qualification/add-guarantor-to-digital-reference \ --header 'Content-Type: application/json' \ --data '{ "guarantors": [ { "id": "example", "title": "example", "firstname": "example", "middlename": "example", "lastname": "example", "email": "example", "applicationType": "example", "branch_id": 1, "guarantorLink": "example", "identityconfirmed": true, "r2rconfirmed": true } ] }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
guarantors
required
Array<object>
object
id
string
title
required
string
firstname
required
string
middlename
string
lastname
required
string
email
required
string
applicationType
string
branch_id
number format: double
guarantorLink
string
identityconfirmed
boolean
r2rconfirmed
boolean
Examplegenerated
{ "guarantors": [ { "id": "example", "title": "example", "firstname": "example", "middlename": "example", "lastname": "example", "email": "example", "applicationType": "example", "branch_id": 1, "guarantorLink": "example", "identityconfirmed": true, "r2rconfirmed": true } ]}Responses
Section titled “ Responses ”Ok
Media typeapplication/json
Examplegenerated
example